parser.hh File Reference
`#include <gecode/flatzinc.hh>`
`#include <string>`
`#include <vector>`
`#include <iostream>`
`#include <algorithm>`
`#include <gecode/flatzinc/option.hh>`
`#include <gecode/flatzinc/varspec.hh>`
`#include <gecode/flatzinc/conexpr.hh>`
`#include <gecode/flatzinc/ast.hh>`
`#include <gecode/flatzinc/parser.tab.hpp>`
`#include <gecode/flatzinc/symboltable.hh>`

Go to the source code of this file.

## Classes

class | Gecode::FlatZinc::OutputOrder
| Strict weak ordering for output items. More...
class | Gecode::FlatZinc::SymbolEntry
| Entries in the symbol table. More...
class | Gecode::FlatZinc::ParserState
| State of the FlatZinc parser More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::FlatZinc
| Interpreter for the FlatZinc language.

## Typedefs

typedef std::pair< std::string, Option< std::vector< int > * > > | Gecode::FlatZinc::intvartype
typedef std::pair< std::string, VarSpec * > | Gecode::FlatZinc::varspec

## Enumerations

enum

Gecode::FlatZinc::SymbolType {
Gecode::FlatZinc::ST_INTVAR , Gecode::FlatZinc::ST_BOOLVAR , Gecode::FlatZinc::ST_FLOATVAR , Gecode::FlatZinc::ST_SETVAR ,
Gecode::FlatZinc::ST_INTVARARRAY , Gecode::FlatZinc::ST_BOOLVARARRAY , Gecode::FlatZinc::ST_SETVARARRAY , Gecode::FlatZinc::ST_FLOATVARARRAY ,
Gecode::FlatZinc::ST_INTVALARRAY , Gecode::FlatZinc::ST_BOOLVALARRAY , Gecode::FlatZinc::ST_SETVALARRAY , Gecode::FlatZinc::ST_FLOATVALARRAY ,
Gecode::FlatZinc::ST_INT , Gecode::FlatZinc::ST_BOOL , Gecode::FlatZinc::ST_SET , Gecode::FlatZinc::ST_FLOAT
}

| Types of symbols. More...

## Functions

SymbolEntry | Gecode::FlatZinc::se_iv (int i)
| Construct integer variable entry.
SymbolEntry | Gecode::FlatZinc::se_bv (int i)
| Construct Boolean variable entry.
SymbolEntry | Gecode::FlatZinc::se_fv (int i)
| Construct float variable entry.
SymbolEntry | Gecode::FlatZinc::se_sv (int i)
| Construct set variable entry.
SymbolEntry | Gecode::FlatZinc::se_iva (int i)
| Construct integer variable array entry.
SymbolEntry | Gecode::FlatZinc::se_bva (int i)
| Construct Boolean variable array entry.
SymbolEntry | Gecode::FlatZinc::se_fva (int i)
| Construct float variable array entry.
SymbolEntry | Gecode::FlatZinc::se_sva (int i)
| Construct set variable array entry.
SymbolEntry | Gecode::FlatZinc::se_i (int i)
| Construct integer entry.
SymbolEntry | Gecode::FlatZinc::se_b (bool b)
| Construct Boolean entry.
SymbolEntry | Gecode::FlatZinc::se_s (int i)
| Construct set entry.
SymbolEntry | Gecode::FlatZinc::se_f (int i)
| Construct float entry.
SymbolEntry | Gecode::FlatZinc::se_ia (int i)
| Construct integer array entry.
SymbolEntry | Gecode::FlatZinc::se_ba (int i)
| Construct Boolean array entry.
SymbolEntry | Gecode::FlatZinc::se_sa (int i)
| Construct set array entry.
SymbolEntry | Gecode::FlatZinc::se_fa (int i)
| Construct float array entry.